automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[FYI] {testsuite-work} tests: remove FIXME comments from tricks to pacif


From: Stefano Lattarini
Subject: [FYI] {testsuite-work} tests: remove FIXME comments from tricks to pacify syntax checks
Date: Fri, 23 Dec 2011 21:07:08 +0100

Originally, I myself had insisted on adding those "FIXME" comments
near every unusual construct or use of "creative quoting" whose
only purpose was to avoid false positive from out syntax checks.
I did that with the expectation that we could have easily and soon
added a whitelisting capability to our maintainer-specific syntax
checks.  This hasn't been the case unfortunately, and now those
"FIXME" in the comments are just distracting noise, making it more
difficult to grep the test cases for stuff that could really use a
fix or an improvement.  So just get rid of them.

* tests/instdir-ltlib.test: Remove that extra "FIXME".
* tests/instdir-prog.test: Likewise.
* tests/parallel-tests3.test: Likewise.
* tests/parallel-tests-dry-run.test: Likewise.
* tests/parallel-tests-console-output.test: Likewise.
* tests/parallel-tests-no-color-in-log.test: Likewise.
* tests/tap-realtime.test: Likewise.
* tests/test-trs-recover.test: Likewise.
* tests/tap-deps.test: Likewise.
---
 ChangeLog                                 |   22 ++++++++++++++++++++++
 tests/instdir-ltlib.test                  |    4 ++--
 tests/instdir-prog.test                   |    4 ++--
 tests/parallel-tests-console-output.test  |    2 +-
 tests/parallel-tests-dry-run.test         |    4 ++--
 tests/parallel-tests-no-color-in-log.test |    4 ++--
 tests/parallel-tests3.test                |    2 +-
 tests/tap-deps.test                       |    6 ++++--
 tests/tap-realtime.test                   |    2 +-
 tests/test-trs-recover.test               |    2 +-
 10 files changed, 38 insertions(+), 14 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index 3fd3bb1..f68e83e 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,27 @@
 2011-12-23  Stefano Lattarini  <address@hidden>
 
+       tests: remove FIXME comments from tricks to pacify syntax checks
+       Originally, I myself had insisted on adding those "FIXME" comments
+       near every unusual construct or use of "creative quoting" whose
+       only purpose was to avoid false positive from out syntax checks.
+       I did that with the expectation that we could have easily and soon
+       added a whitelisting capability to our maintainer-specific syntax
+       checks.  This hasn't been the case unfortunately, and now those
+       "FIXME" in the comments are just distracting noise, making it more
+       difficult to grep the test cases for stuff that could really use a
+       fix or an improvement.  So just get rid of them.
+       * tests/instdir-ltlib.test: Remove that extra "FIXME".
+       * tests/instdir-prog.test: Likewise.
+       * tests/parallel-tests3.test: Likewise.
+       * tests/parallel-tests-dry-run.test: Likewise.
+       * tests/parallel-tests-console-output.test: Likewise.
+       * tests/parallel-tests-no-color-in-log.test: Likewise.
+       * tests/tap-realtime.test: Likewise.
+       * tests/test-trs-recover.test: Likewise.
+       * tests/tap-deps.test: Likewise.
+
+2011-12-23  Stefano Lattarini  <address@hidden>
+
        tests: few minor fixlets, improvements and tweakings
        * tests/defs-static.in ($top_testbuilddir): New, for consistency
        and completeness.
diff --git a/tests/instdir-ltlib.test b/tests/instdir-ltlib.test
index 6b8e8ca..bf9330f 100755
--- a/tests/instdir-ltlib.test
+++ b/tests/instdir-ltlib.test
@@ -77,11 +77,11 @@ test ! -d "$instdir"
 test ! -d "$destdir"
 $MAKE -e uninstall > stdout || { cat stdout; Exit 1; }
 cat stdout
-# FIXME: creative quoting below to please maintainer-check.
+# Creative quoting below to please maintainer-check.
 grep 'rm'' ' stdout && Exit 1
 $MAKE -e uninstall DESTDIR="$destdir" > stdout || { cat stdout; Exit 1; }
 cat stdout
-# FIXME: creative quoting below to please maintainer-check.
+# Creative quoting below to please maintainer-check.
 grep 'rm'' ' stdout && Exit 1
 
 :
diff --git a/tests/instdir-prog.test b/tests/instdir-prog.test
index 3e77b10..5e7c6a1 100755
--- a/tests/instdir-prog.test
+++ b/tests/instdir-prog.test
@@ -76,11 +76,11 @@ test ! -d "$instdir"
 test ! -d "$destdir"
 $MAKE -e uninstall > stdout || { cat stdout; Exit 1; }
 cat stdout
-# FIXME: creative quoting below to please maintainer-check.
+# Creative quoting below to please maintainer-check.
 grep 'rm'' ' stdout && Exit 1
 $MAKE -e uninstall DESTDIR="$destdir" > stdout || { cat stdout; Exit 1; }
 cat stdout
-# FIXME: creative quoting below to please maintainer-check.
+# Creative quoting below to please maintainer-check.
 grep 'rm'' ' stdout && Exit 1
 
 :
diff --git a/tests/parallel-tests-console-output.test 
b/tests/parallel-tests-console-output.test
index 63dd749..93c2429 100755
--- a/tests/parallel-tests-console-output.test
+++ b/tests/parallel-tests-console-output.test
@@ -61,7 +61,7 @@ cat > xfail.test << 'END'
 #!/bin/sh
 # The sleep should ensure expected execution order of tests
 # even when make is run in parallel mode.
-# FIXME: quotes below required by maintainer-check.
+# Creative quoting below to plase maintainer-check.
 sleep '10'
 exit 1
 END
diff --git a/tests/parallel-tests-dry-run.test 
b/tests/parallel-tests-dry-run.test
index 4791598..3a136f4 100755
--- a/tests/parallel-tests-dry-run.test
+++ b/tests/parallel-tests-dry-run.test
@@ -58,7 +58,7 @@ for target in check recheck test-suite.log; do
   test ! -f test-suite.log
 done
 
-# FIXME: creative quoting below to please maintainer-check.
+# Creative quoting below to please maintainer-check.
 echo exit '0' > foo.test
 echo exit '1' > bar.test
 
@@ -72,7 +72,7 @@ test -f foo.trs
 test -f foo.log
 test -f bar.trs
 
-# FIXME: creative quoting below to please maintainer-check.
+# Creative quoting below to please maintainer-check.
 cat > foo.test <<END
 echo this is bad
 exit 1
diff --git a/tests/parallel-tests-no-color-in-log.test 
b/tests/parallel-tests-no-color-in-log.test
index 97ef19d..b69d6e1 100755
--- a/tests/parallel-tests-no-color-in-log.test
+++ b/tests/parallel-tests-no-color-in-log.test
@@ -26,7 +26,7 @@ esc=''
 # GNU or BSD 'grep -a' works on files, but is not portable.
 case `echo "$esc" | $FGREP "$esc"` in
   "$esc") ;;
-# FIXME: creative quoting below to please maintainer-check.
+# Creative quoting below to please maintainer-check.
   *) echo "$me: f""grep can't parse nonprinting characters" >&2; Exit 77;;
 esac
 
@@ -43,7 +43,7 @@ TESTS = pass fail skip xpass xfail error
 XFAIL_TESTS = xpass xfail
 END
 
-# FIXME: creative quoting to please maintainer-check.
+# Creative quoting to please maintainer-check.
 echo exit '0' > pass
 echo exit '0' > xpass
 echo exit '1' > fail
diff --git a/tests/parallel-tests3.test b/tests/parallel-tests3.test
index 69ce1c1..d5275a8 100755
--- a/tests/parallel-tests3.test
+++ b/tests/parallel-tests3.test
@@ -38,7 +38,7 @@ for i in 1 2 3 4 5 6 7 8; do
   unindent >foo$i.test <<'END'
     #! /bin/sh
     echo "this is $0"
-    # FIXME: spurious quote to please maintainer-check
+    # Creative quoting below to please maintainer-check.
     sleep '1'
     exit 0
 END
diff --git a/tests/tap-deps.test b/tests/tap-deps.test
index 74612ed..dde1208 100755
--- a/tests/tap-deps.test
+++ b/tests/tap-deps.test
@@ -33,7 +33,8 @@ cat > a.test << 'END'
 #!/bin/sh
 echo 1..2
 echo ok 1
-sleep '3' # FIXME: quotes to please maintainer-check
+# Creative quoting below to please maintainer-check.
+sleep '3'
 echo ok 2
 : > a.run
 END
@@ -46,7 +47,8 @@ if test -f a.run; then
 else
   echo not ok 1
 fi
-sleep '3' # FIXME: quotes to please maintainer-check
+# Creative quoting below to please maintainer-check.
+sleep '3'
 echo ok 2
 : > b.run
 END
diff --git a/tests/tap-realtime.test b/tests/tap-realtime.test
index 2cdcda9..dd4621c 100755
--- a/tests/tap-realtime.test
+++ b/tests/tap-realtime.test
@@ -44,7 +44,7 @@ cat > all.test <<'END'
 #! /bin/sh
 echo 1..3
 
-# FIXME: creative quoting to placate maintainer-check
+# Creative quoting to placate maintainer-check
 sleep="sleep "3
 
 # The awk+shell implementation of the TAP driver must "read ahead" of one
diff --git a/tests/test-trs-recover.test b/tests/test-trs-recover.test
index fe12a4e..e498688 100755
--- a/tests/test-trs-recover.test
+++ b/tests/test-trs-recover.test
@@ -31,7 +31,7 @@ TESTS = foo.test bar.test baz.test
 TEST_LOG_COMPILER = $(SHELL)
 END
 
-# FIXME: creative quoting below to please maintainer-check.
+# Creative quoting below to please maintainer-check.
 echo exit '$TEST_STATUS' > foo.test
 echo exit '$TEST_STATUS' > bar.test
 : > baz.test
-- 
1.7.7.3




reply via email to

[Prev in Thread] Current Thread [Next in Thread]